<!DOCTYPE html>
<%--
 Copyright (c) 2011, 2012 IBM Corporation and others.

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 and Eclipse Distribution License v. 1.0 which accompanies this distribution.

 The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 and the Eclipse Distribution License is available at
 http://www.eclipse.org/org/documents/edl-v10.php.

 Contributors:

    Sam Padgett	  	- initial API and implementation
    Michael Fiedler	- adapted for OSLC4J
    Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)

 This file is generated by org.eclipse.lyo.oslc4j.codegenerator
--%>

<%@page import="org.eclipse.lyo.oslc4j.core.model.ServiceProvider"%>
<%@page import="java.util.List" %>
<%@page import="se.kth.md.it.bcm.resources.BugzillaChangeRequest"%>
<%--
Start of user code imports
--%>
<%--
End of user code
--%>

<%@ page contentType="text/html" language="java" pageEncoding="UTF-8" %>

<%
    BugzillaChangeRequest aBugzillaChangeRequest = (BugzillaChangeRequest) request.getAttribute("aBugzillaChangeRequest");
%>
<%--
Start of user code getRequestAttributes
--%>
<%--
End of user code
--%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html;charset=utf-8">
        <title><%= aBugzillaChangeRequest.toString(true) %></title>
        <%--
Start of user code (RECOMMENDED) headStuff
        --%>
        <%--
End of user code
        --%>
    </head>
    <body onload="">
        <div id="header">
            <div id="banner"></div>
            <table border="0" cellspacing="0" cellpadding="0" id="titles">
                <tr>
                    <td id="title">
                        <p>
                            <%= aBugzillaChangeRequest.toHtml() %>
                        </p>
                    </td>
                    <td id="information">
                        <p class="header_addl_info">
                            version 0.1
                        </p>
                    </td>
                </tr>
            </table>
        </div>

        <div id="bugzilla-body">
            <div id="page-index">
                <%--
Start of user code (RECOMMENDED) bodyStuff1
                --%>
                <%--
End of user code
                --%>

                <h1>Resource Presentation</h1>
                <p>Summary: <%= aBugzillaChangeRequest.toHtml() %><br /></p>
                <h2>Properties</h2>
                <table style="clear: both;">
                    <tr>
                        <td><%= aBugzillaChangeRequest.priorityToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.platformToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.versionToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.componentToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.productToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.operatingSystemToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.affectedByDefectToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.affectsPlanItemToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.affectsRequirementToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.affectsTestResultToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.blocksTestExecutionRecordToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.contributorToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.creatorToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.dctermsTypeToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.implementsRequirementToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.relatedChangeRequestToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.relatedTestCaseToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.relatedTestExecutionRecordToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.relatedTestPlanToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.relatedTestScriptToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.subjectToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.testedByTestCaseToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.tracksChangeSetToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.tracksRequirementToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.rdfTypeToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.approvedToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.closedToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.closeDateToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.createdToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.descriptionToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.discussedByToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.fixedToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.identifierToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.inprogressToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.instanceShapeToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.modifiedToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.reviewedToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.serviceProviderToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.shortTitleToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.statusToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.titleToHtml()%></td>
                    </tr>
                    <tr>
                        <td><%= aBugzillaChangeRequest.verifiedToHtml()%></td>
                    </tr>
                </table>

            </div>
        </div>

        <div id="footer">
            <div class="intro"></div>
            <div class="outro">
                <div style="margin: 0 1em 1em 1em; line-height: 1.6em; text-align: left">
                    <b>OSLC Tools Adapter Server 0.1</b> brought to you by <a href="http://eclipse.org/lyo">Eclipse Lyo</a><br />
                </div>
            </div>
        </div>



    </body>
</html>
